%define up_name	ioxml
%define name	ocaml-%{up_name}
%define version	0.8
%define release	%mkrel 11

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    XML parsers generator
Group:      Development/Other
License:    MIT
URL:        http://cristal.inria.fr/~ddr/IoXML/
Source0:    http://cristal.inria.fr/~ddr/IoXML/distrib/src/%{up_name}-%{version}.tgz
BuildRequires:  ocaml
BuildRequires:  camlp5
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IoXML is a Camlp5 syntax extension for OCaml mli and ml files which generates
XML parsers and printers for all types you define. 

%prep
%setup -q -n %{up_name}-%{version}

%build
make all

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/ocaml/camlp5
make install LIBDIR=%{buildroot}/%{_libdir}/ocaml

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE CHANGES
%{_libdir}/ocaml/camlp5/*



%changelog
* Thu Oct 07 2010 Funda Wang <fwang@mandriva.org> 0.8-11mdv2011.0
+ Revision: 584014
- fix BR

* Wed Feb 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-11mdv2010.1
+ Revision: 500160
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-10mdv2010.0
+ Revision: 390084
- rebuild

* Mon Dec 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-9mdv2009.1
+ Revision: 317624
- rebuild for new caml

* Mon Sep 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-1mdv2009.0
+ Revision: 284903
- import ocaml-ioxml


* Mon Sep 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-1mdv2009.0
- first mdv release
